<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper  PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "https://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.cpic.xim.mybatis.mapper.TWrTelsalerMapper">
    <select id="queryTWrTelsalerInfo" resultMap="TWrTelsaler">
        select t.人员姓名,
        t.人员工号,
        t.籍贯,
        t.参加工作时间,
        t.入职日期,
        t.入司日期,
        t.业务类型,
        t.办公地省,
        t.办公地市,
        t.人员类别,
        t.现任岗位,
        t.现任职级,
        t.机构名称,
        t.职场分类,
        t.片区名称,
        t.团队名称,
        t.对口分公司,
        t.展业地区,
        t.招聘渠道,
        t.渠道明细,
        t.全日制最高学历,
        t.学历类型,
        t.用工性质名称,
        t.合同种类,
        t.合同类型,
        t.合同性质,
        t.合同签订次数,
        t.合同生效日期,
        t.合同到期日期,
        t.人员属性,
        t.保代员工号,
        t.职场属性,
        t.办公性质,
        t.保代人员属性,
        t.人员状态
        from telsaler t
        where t.人员姓名 = #{telsaler} or t.人员工号 = #{telsaler}
    </select>
    <resultMap id="TWrTelsaler" type="TWrTelsalerRecord">
        <result column="人员姓名" property="人员姓名" jdbcType="VARCHAR" javaType="String" />
        <result column="人员工号" property="人员工号" jdbcType="VARCHAR" javaType="String" />
        <result column="籍贯" property="籍贯" jdbcType="VARCHAR" javaType="String" />
        <result column="参加工作时间" property="参加工作时间" jdbcType="VARCHAR" javaType="String" />
        <result column="入职日期" property="入职日期" jdbcType="VARCHAR" javaType="String" />
        <result column="入司日期" property="入司日期" jdbcType="VARCHAR" javaType="String" />
        <result column="业务类型" property="业务类型" jdbcType="VARCHAR" javaType="String" />
        <result column="办公地省" property="办公地省" jdbcType="VARCHAR" javaType="String"/>
        <result column="办公地市" property="办公地市" jdbcType="VARCHAR" javaType="String"/>
        <result column="人员类别" property="人员类别" jdbcType="VARCHAR" javaType="String"/>
        <result column="现任岗位" property="现任岗位" jdbcType="VARCHAR" javaType="String"/>
        <result column="现任职级" property="现任职级" jdbcType="VARCHAR" javaType="String"/>
        <result column="机构名称" property="机构名称" jdbcType="VARCHAR" javaType="String"/>
        <result column="职场分类" property="职场分类" jdbcType="VARCHAR" javaType="String"/>
        <result column="片区名称" property="片区名称" jdbcType="VARCHAR" javaType="String"/>
        <result column="团队名称" property="团队名称" jdbcType="VARCHAR" javaType="String"/>
        <result column="对口分公司" property="对口分公司" jdbcType="VARCHAR" javaType="String"/>
        <result column="展业地区" property="展业地区" jdbcType="VARCHAR" javaType="String"/>
        <result column="招聘渠道" property="招聘渠道" jdbcType="VARCHAR" javaType="String"/>
        <result column="渠道明细" property="渠道明细" jdbcType="VARCHAR" javaType="String"/>
        <result column="全日制最高学历" property="全日制最高学历" jdbcType="VARCHAR" javaType="String"/>
        <result column="学历类型" property="学历类型" jdbcType="VARCHAR" javaType="String"/>
        <result column="用工性质名称" property="用工性质名称" jdbcType="VARCHAR" javaType="String"/>
        <result column="合同种类" property="合同种类" jdbcType="VARCHAR" javaType="String"/>
        <result column="合同类型" property="合同类型" jdbcType="VARCHAR" javaType="String"/>
        <result column="合同性质" property="合同性质" jdbcType="VARCHAR" javaType="String"/>
        <result column="合同签订次数" property="合同签订次数" jdbcType="VARCHAR" javaType="String"/>
        <result column="合同生效日期" property="合同生效日期" jdbcType="VARCHAR" javaType="String"/>
        <result column="合同到期日期" property="合同到期日期" jdbcType="VARCHAR" javaType="String"/>
        <result column="人员属性" property="人员属性" jdbcType="VARCHAR" javaType="String"/>
        <result column="保代员工号" property="保代员工号" jdbcType="VARCHAR" javaType="String"/>
        <result column="职场属性" property="职场属性" jdbcType="VARCHAR" javaType="String"/>
        <result column="办公性质" property="办公性质" jdbcType="VARCHAR" javaType="String"/>
        <result column="保代人员属性" property="保代人员属性" jdbcType="VARCHAR" javaType="String"/>
        <result column="人员状态" property="人员状态" jdbcType="VARCHAR" javaType="String"/>
    </resultMap>

    <!-- insertTWrTelsalerRecordToDB --> 
    <insert id="insertTWrTelsalerRecordToDB" parameterType="TWrTelsalerRecord">
        insert into TWR_TELSALER_DEV(
            人员姓名,
            人员工号,
            籍贯,
            参加工作时间,
            入职日期,
            入司日期,
            业务类型,
            办公地省,
            办公地市,
            人员类别,
            现任岗位,
            现任职级,
            机构名称,
            职场分类,
            片区名称,
            团队名称,
            对口分公司,
            展业地区,
            招聘渠道,
            渠道明细,
            全日制最高学历,
            学历类型,
            用工性质名称,
            合同种类,
            合同类型,
            合同性质,
            合同签订次数,
            合同生效日期,
            合同到期日期,
            人员属性,
            保代员工号,
            职场属性,
            办公性质,
            保代人员属性,
            人员状态)
        values (
            #{人员姓名},
            #{人员工号},
            #{籍贯},
            #{参加工作时间},
            #{入职日期},
            #{入司日期},
            #{业务类型},
            #{办公地省},
            #{办公地市},
            #{人员类别},
            #{现任岗位},
            #{现任职级},
            #{机构名称},
            #{职场分类},
            #{片区名称},
            #{团队名称},
            #{对口分公司},
            #{展业地区},
            #{招聘渠道},
            #{渠道明细},
            #{全日制最高学历},
            #{学历类型},
            #{用工性质名称},
            #{合同种类},
            #{合同类型},
            #{合同性质},
            #{合同签订次数},
            #{合同生效日期},
            #{合同到期日期},
            #{人员属性},
            #{保代员工号},
            #{职场属性},
            #{办公性质},
            #{保代人员属性},
            #{人员状态} )
    </insert>

    <select id="cleanTWrTelsalerRecord" statementType="CALLABLE">
        call TELSALER_TWR_UTILS.清理TWR坐席清单()
    </select>

    <select id="cleanTWrTelsalerTeamRecord" statementType="CALLABLE">
        call TELSALER_TWR_UTILS.清理TWR团队清单()
    </select>
</mapper>